package com.xhpc.activity.mapper;


import com.xhpc.activity.domain.XhpcActivityCashDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcActivityCashMapper {

    List<XhpcActivityCashDomain> selectByParams(@Param("params") Map<String, Object> params);

    List<Map<String,Object>> selectNameMapList(@Param("params")Map<String, Object> params);

    int deleteLogicByPrimaryKey(Integer activity_id);

    int deleteByPrimaryKey(Integer activity_id);

    int insert(XhpcActivityCashDomain record);

    XhpcActivityCashDomain selectByPrimaryKey(Integer activity_id);

    int updateByPrimaryKey(XhpcActivityCashDomain record);

    int updateStatusByPrimaryKey(XhpcActivityCashDomain record);

    int checkByPrimaryKey(XhpcActivityCashDomain record);

    int updateReceiveCountByActivityId(XhpcActivityCashDomain record);

    List<Map<String, Object>> selectAPPUserListByUserIds(@Param("userIds") String userIds);

    List<Map<String, Object>> selectComUserListByUserIds(@Param("userIds") String userIds);

    List<Map<String, Object>> selectBUserListByUserIds(@Param("userIds") String userIds);

    List<Map<String, Object>> selectUserListByParams(@Param("params")Map params);

    List<XhpcActivityCashDomain> selectCheckedPassAndAutoReceive();

    int updateStatusByExpireNow();
}